﻿Type=Service
Version=1.70
StartAtBoot=False
@EndOfDesignText@
'Service module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	'Declares the phone state listener
	Dim PSL As PhoneStateListener

End Sub
Sub Service_Create

	'Initializes the PhoneStateListener.
	'All data is also outputted to the filtered log field.
	PSL.Initialize("PSL")
	
	'Starts listening
	PSL.startListening()
	ToastMessageShow(PSL.CellLocation,False)
	
	'Remember: Find all information about the returns here:
	' http://developer.android.com/reference/android/telephony/PhoneStateListener.html

End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_Destroy

End Sub
' Callback invoked when the call-forwarding indicator changes.
Sub PSL_onCallForwardingIndicatorChanged(cfi As Boolean)
	
End Sub
'Callback invoked when device call state changes.
'Idle = 0
'Ringing = 1
'OFFHook = 2
Sub PSL_onCallStateChanged (State As Int, incomingNumber As String)

End Sub
' Callback invoked when device cell location changes.
Sub PSL_onCellLocationChanged(Location As String)

End Sub
'Callback invoked when data activity state changes.
Sub PSL_onDataActivity(Direction As Int, strDirection As String)

End Sub
'Callback invoked when connection state changes.
Sub PSL_onDataConnectionStateChanged(state As Int, Connectionstate As String)

End Sub
'Callback invoked when the message-waiting indicator changes.
Sub PSL_onMessageWaitingIndicatorChanged(mwi As Boolean)

End Sub
'Callback invoked when device service state changes.
Sub PSL_onServiceStateChanged(State As Int, strState As String)

End Sub
'Callback invoked when network signal strengths changes.
'you can use getCDma, etc to get the network connection.
Sub PSL_onSignalStrengthsChanged (signalStrength As String)
	ToastMessageShow(signalStrength, False)
	ToastMessageShow(PSL.CdmaDbm, False)
End Sub

'Remember: Find all information about the returns here:
' http://developer.android.com/reference/android/telephony/PhoneStateListener.html
